### Method

# EDataServer SourceAuthentication ref_connectable

since: 3.8

#### Declaration [src]

    GSocketConnectable*
    e_source_authentication_ref_connectable (
      ESourceAuthentication* extension
    )

#### Description [src]

Returns a `GSocketConnectable` instance constructed from `extension`‘s `ESourceAuthentication:host` and `ESourceAuthentication:port` properties, or `NULL` if the `ESourceAuthentication:host` is not set.

The returned `GSocketConnectable` is referenced for thread-safety and must be unreferenced with `g_object_unref()` when finished with it.

Available since: 3.8

#### Return value

Type: `GSocketConnectable`

A `GSocketConnectable`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.